package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Company;
import com.ruoyi.web.work.domain.dto.CompanyDto;
import com.ruoyi.web.work.domain.vo.CompanyListVo;

import java.rmi.ServerException;
import java.util.List;

/**
 * @author lsw
 * @date 2024-04-16
 */
public interface ICompanyService extends IService<Company>{
    List<Company> selectList(Company company);

    List<CompanyListVo> selectCompanyList(CompanyDto dto);

    AjaxResult add(Company company) throws ServerException;

    AjaxResult edit(Company company) throws ServerException;

    boolean remove(Long[] ids);

}
